<!-- PROJECT LOGO -->
![logo](img/logo.png)

<h1 align="center">Welcome to search-privacy 🥳🥳🥳</h1>

<p>
  <img alt="Version" src="https://img.shields.io/badge/version-1.0-blue.svg?cacheSeconds=2592000" />
  <a href="#" target="_blank">
    <img alt="License: GPLv3" src="https://img.shields.io/badge/License-GPLv3-yellow.svg" />
  </a>
</p>

### Помочь Донатом на сервак

* 💰 Bitcoin - `1Ebf7gBSSD5Y8y3zLHVy1SuJxAqAgJPjhW`

* 💰 Monero - `45UcKcUN8d6M5cccXZiqC1dtpMsqSazyKSLGP3utQh3MhBmeuCuHAbYBwngsa1eAFs4yza9HukiH4axjNg58YGBrJo2x2tS`

### ✨ [Demo Whoogle](https://whoogle.secven.me/)

### ✨ [Demo SearX](https://search.secven.me/)

#### Docker and Docker compose install
```sh
# https://docs.docker.com/engine/install/debian/

~$ sudo apt update && apt upgrade -y
~$ sudo make install
```

#### Редактируем наш конфиг на ваши данные

```sh
~$ git clone https://git.disroot.org/librewolf/search-privacy.git
~$ cd search-privacy
~$ cp .env.example .env
~$ nano .env
````

* SEARX_DOMAIN=`search.secven.me` заменить на ваш
* WHOOGLE_DOMAIN=`whoogle.secven.me` заменить на ваш
* SERVER_IP=`195.0.0.201` тут айпи тачки

### Install Search-privacy Cloudflare CDN

* Добавьте ваш домен в днс - https://i.imgur.com/AwRymuh.png
* Настройка SSL/TLS - https://i.imgur.com/WQCy0RC.png

```sh
~$ make cf
```

### Install Search-privacy default server prod 

```sh
~$ make prod
```

#### Заблокировать censys

```sh
~$ sudo iptables -A INPUT -s 198.108.66.0/23 -j DROP
~$ sudo iptables -A INPUT -s 47.205.232.0/21 -j DROP
```

#### Остановить все контейнеры

```sh
~$ make stop
```

### Author

👤 **LibreWolf**

* YouTube - https://www.youtube.com/channel/UCb0MdhCVUA-JeGysDTMjmXg
* Свободный Волк - https://t.me/Libre_Wolf
* Open Source: https://t.me/ThisOpenSource

## Show your support

Give a ⭐️ if this project helped you!

### TODO:
* Add ssl Cloudflare
* Fix ModSecurity whoogle  
* Fix push docker hub  
* Refactoring


## License

`Distributed under the GPL V3 License. See LICENSE for more information`
